Skip to main content
GET
List Instagram Citations

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.

Query Parameters

page
integer
default:1

Page number (1-based)

Required range: x >= 1
size
integer
default:25

Page size

Required range: 1 <= x <= 100
llmMonitorId
string<uuid>

Filter by monitor

sortBy
enum<string>
default:citationCount

Field to sort by

Available options:
citationCount,
avgPosition,
likeCount,
commentCount,
viewCount,
publishedAt
sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc
from
string<date-time>

Filter citations from this date (ISO 8601)

until
string<date-time>

Filter citations until this date (ISO 8601)

models

Filter by LLM model IDs. Repeat for multiple: models=x&models=y Single model

promptTypes

Filter by prompt type. Repeat for multiple values.

Available options:
ORGANIC,
BRAND_SPECIFIC,
COMPETITOR_COMPARISON
tagIds

Filter by tag IDs. Repeat for multiple values.

topicIds

Filter by topic IDs. Repeat for multiple values.

query
string

Search within the post caption or the account username and name

Response

Default Response

items
object[]
required

Instagram citations for the current page

total
integer
required

Total items matching the request

page
integer
required

Page number (1-based)

size
integer
required

Page size

totalPages
integer
required

Total pages for this page size